RiskStatus (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.api

## Enum RiskStatus

- java.lang.Object
- - java.lang.Enum<RiskStatus>
  - - com.marketfactory.api.RiskStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RiskStatus>

      public enum RiskStatus
      extends java.lang.Enum<RiskStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `INVALID_ADMIN`
    `INVALID_AMOUNT`
    `INVALID_DROPCOPY_FEED`
    `INVALID_DROPCOPY_SEQID`
    `INVALID_FEED`
    `INVALID_GROUP`
    `INVALID_MARKET`
    `INVALID_PERMISSIONS`
    `INVALID_SETTLDATE`
    `INVALID_USER`
    `MISSING_RISK_DATA`
    `SUCCESS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static RiskStatus` | `get(byte value)`
    `static java.util.Collection<RiskStatus>` | `validValues()`
    `static RiskStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RiskStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final RiskStatus SUCCESS

    - #### INVALID_PERMISSIONS

          public static final RiskStatus INVALID_PERMISSIONS

    - #### INVALID_GROUP

          public static final RiskStatus INVALID_GROUP

    - #### INVALID_USER

          public static final RiskStatus INVALID_USER

    - #### INVALID_ADMIN

          public static final RiskStatus INVALID_ADMIN

    - #### INVALID_FEED

          public static final RiskStatus INVALID_FEED

    - #### INVALID_MARKET

          public static final RiskStatus INVALID_MARKET

    - #### INVALID_SETTLDATE

          public static final RiskStatus INVALID_SETTLDATE

    - #### INVALID_AMOUNT

          public static final RiskStatus INVALID_AMOUNT

    - #### INVALID_DROPCOPY_SEQID

          public static final RiskStatus INVALID_DROPCOPY_SEQID

    - #### INVALID_DROPCOPY_FEED

          public static final RiskStatus INVALID_DROPCOPY_FEED

    - #### MISSING_RISK_DATA

          public static final RiskStatus MISSING_RISK_DATA

    - #### _INVALID

          public static final RiskStatus _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static RiskStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RiskStatus c : RiskStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RiskStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static RiskStatus get(byte value)

    - #### validValues

          public static java.util.Collection<RiskStatus> validValues()